/* MOBILE STANDARD */
.hamburger {
  font-size: 28px;
  background: none;
  border: none;
  color: white;
  cursor: pointer;
  display: block; /* Sichtbar auf Mobile */
}

nav {
  display: none; /* Versteckt auf Mobile */
  width: 100%;
  background: rgba(88, 122, 111);
}

nav.open {
  display: block; /* Wird durch Hamburger geöffnet */
}

nav ul {
  list-style: none;
  margin: 0;
  padding: 10px 0;
  display: flex;
  flex-direction: column; /* Spaltenanordnung auf Mobile */
  text-align: center;
}

nav li {
  padding: 12px 0;
}

nav a {
  color: white;
  text-decoration: none;
  display: block;
  padding: 0.5em 1em;
}
nav a:hover {
  text-decoration: underline;
  text-decoration-thickness: 2px;
}

/* DESKTOP (ab 1024px) */
@media only screen and (min-width: 1024px) {
  .hamburger {
    display: none; /* Versteckt auf Desktop */
  }

  nav {
    display: flex;
    text-align: center;
    background: none;
    justify-content: center;
    align-items: center;
    position: relative;
    margin-bottom: 0.2rem;
  }

  nav > ul {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    gap: 30px;
    flex-direction: row; /* Nebeneinander auf Desktop */
  }

  nav li {
    margin: 0;
    padding: 0;
    font-size: 1em;
  }

  nav a {
    padding: 0.4em 0.8em;
    font-weight: bold;
    border-radius: 0.5em;
  }
}
